'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Boxs = require('saltui/lib/Boxs');

var _Boxs2 = _interopRequireDefault(_Boxs);

var _variables = require('../db/variables');

var _variables2 = _interopRequireDefault(_variables);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var VBox = _Boxs2.default.VBox,
    Box = _Boxs2.default.Box,
    HBox = _Boxs2.default.HBox;

var PageHome = function (_React$Component) {
  _inherits(PageHome, _React$Component);

  function PageHome(props) {
    _classCallCheck(this, PageHome);

    // let startUserName = decodeURI(this.props.params.startUserName);//创建人用户
    // let startUserGroupName = decodeURI(this.props.params.startUserGroupName);//创建人组织
    //let startUserId = this.props.params.startUserId;
    var _this = _possibleConstructorReturn(this, (PageHome.__proto__ || Object.getPrototypeOf(PageHome)).call(this, props));

    var token = document.getElementById('token').value;
    _this.state = {
      loadImg: _variables2.default.loadImg + "?token=" + token + "&fid=",
      imgUrl: getImagePreUrl() + '/attachment/download?token=' + token + '&'
    };
    return _this;
  }

  _createClass(PageHome, [{
    key: 'render',
    value: function render() {
      var t = this;

      return _react2.default.createElement(
        'div',
        null,
        t.props.list != null && t.props.list.length > 0 ? t.props.list.map(function (item, key) {
          return _react2.default.createElement(
            VBox,
            { className: 't-PB10 t-LH1_5 t-field t-FS14' },
            item.type.indexOf('image') < 0 ? _react2.default.createElement(Box, { className: 't-FS16', dangerouslySetInnerHTML: { __html: item.fullMessage == null ? "" : item.fullMessage.replace(/\r\n/g, '<br/>').replace(/\n/g, '<br/>').replace(/ /g, '&nbsp;') } }) : item.fullMessage == '' ? _react2.default.createElement(
              Box,
              null,
              '\'\''
            ) : _react2.default.createElement(
              HBox,
              null,
              _react2.default.createElement('img', { width: '100%', height: '128', src: t.state.imgUrl + item.fullMessage })
            ),
            item.signPic == '' || item.signPic == null ? "" : _react2.default.createElement(
              HBox,
              null,
              _react2.default.createElement(Box, { flex: 1 }),
              _react2.default.createElement(
                Box,
                null,
                _react2.default.createElement('img', { className: 't-H32 t-W64 ', src: t.state.loadImg + item.signPic })
              )
            ),
            _react2.default.createElement(
              Box,
              { vAlign: 'start', hAlign: 'end', className: 't-FAR t-omit' },
              ' ',
              item.signPic == '' || item.signPic == null ? item.userName : '',
              '\xA0',
              item.time
            )
          );
        }) : ''
      );
    }
  }]);

  return PageHome;
}(_react2.default.Component);

exports.default = PageHome;